<template lang="pug">
AnimBlock(anim='fade')
  .b-modal-loader.d-flex.flex-column.align-items-center.justify-content-center.text-secondary(v-if='isLoading')
    .b-modal-light.bg-light
    slot
      .fa.fa-spinner.fa-pulse
      span.sr-only Loading...
</template>
<script>

export { default } from "./BaseModalLoader.vue.js";

</script>
<style lang="scss">
.b-modal-loader {
  z-index: 1000;
  position: absolute;
  width: 100%;
  height: 100%;

  .b-modal-light {
    position: absolute;
    width: 100%;
    height: 100%;
    color: white;
    z-index: 0;
    opacity: 0.5;
  }

  .fa-spinner, span {
    z-index: 2;
  }

  .fa-spinner {
    font-size: 4rem;
  }

  span {
    font-size: 2rem;
  }
}
</style>
